Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_KEA_DERIVE_PARAMS

    java.lang.Object
      iaik.pkcs.pkcs11.wrapper.CK_KEA_DERIVE_PARAMS

public class CK_KEA_DERIVE_PARAMS
extends Object

class CK_KEA_DERIVE_PARAMS provides the parameters to the CKM_KEA_DERIVE mechanism.

PKCS#11 structure:

     typedef struct CK_KEA_DERIVE_PARAMS {
       CK_BBOOL isSender;
       CK_ULONG ulRandomLen;
       CK_BYTE_PTR pRandomA;
       CK_BYTE_PTR pRandomB;
       CK_ULONG ulPublicDataLen;
       CK_BYTE_PTR pPublicData;
     } CK_KEA_DERIVE_PARAMS;

Field Summary
`boolean` | `isSender` PKCS#11: CK_BBOOL isSender;
`byte[]` | `pPublicData` PKCS#11: CK_BYTE_PTR pPublicData; CK_ULONG ulPublicDataLen;
`byte[]` | `pRandomA` ulRandomLen == pRandomA.length == pRandomB.length PKCS#11: CK_BYTE_PTR pRandomA; CK_ULONG ulRandomLen;
`byte[]` | `pRandomB` ulRandomLen == pRandomA.length == pRandomB.length PKCS#11: CK_BYTE_PTR pRandomB; CK_ULONG ulRandomLen;

Constructor Summary
`CK_KEA_DERIVE_PARAMS()`

Method Summary
`String` | `toString()` Returns the string representation of CK_KEA_DERIVE_PARAMS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### isSender

    public boolean isSender

  PKCS#11:

         CK_BBOOL isSender;

### pRandomA

    public byte[] pRandomA

  ulRandomLen == pRandomA.length == pRandomB.length

  PKCS#11:

         CK_BYTE_PTR pRandomA;
         CK_ULONG ulRandomLen;

### pRandomB

    public byte[] pRandomB

  ulRandomLen == pRandomA.length == pRandomB.length

  PKCS#11:

         CK_BYTE_PTR pRandomB;
         CK_ULONG ulRandomLen;

### pPublicData

    public byte[] pPublicData

  PKCS#11:

         CK_BYTE_PTR pPublicData;
         CK_ULONG ulPublicDataLen;

Constructor Detail

### CK_KEA_DERIVE_PARAMS

    public CK_KEA_DERIVE_PARAMS()

Method Detail

### toString

    public String toString()

  Returns the string representation of CK_KEA_DERIVE_PARAMS.

  Returns:
    the string representation of CK_KEA_DERIVE_PARAMS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.